Skip to content

Report a Comment or Reply for a given post in the feed

Request

Creates a Report for a specific comment (or reply) to a post for a scoped user. The comment must be visible to the user or a 404 Not Found response will be returned; for example, this would happen if the comment is published to a post in a targeted topic that does not target the user.

Security
oauth2_as_a_user(Required scopes: feeds.engage)
Path
content_idintegerrequired

ID of the post. The post must be visible to the user.

comment_idinteger or stringrequired
One of:

ID or UUID of the comment to report

integer
curl -i -X PUT \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments/{comment_id}/report' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Comment Has Been Reported

Response
No content